%global octpkg specfun

Name:           octave-%{octpkg}
Version:        1.1.0
Release:        3%{?dist}
Summary:        Special functions for Octave, including ellipitic functions
Group:          Applications/Engineering
# announced on devel@lists.fedoraproject.org
# Message-ID: <1323949577.12740.9.camel@xbox360.hq.axsem.com>
License:        GPLv3+ and BSD
URL:            http://octave.sourceforge.net/specfun/
Source0:        http://downloads.sourceforge.net/octave/%{octpkg}-%{version}.tar.gz
# avoid stripping binaries to get useful debuginfo packages
# fedora specific - not upstreamed
Patch0:         %{name}-nostrip.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  octave-devel

Requires:       octave(api) = %{octave_api}
Requires(post): octave
Requires(postun): octave


Obsoletes:      octave-forge <= 20090607


%description
This package contains special functions for Octave, including elliptic
functions, sine/cosine integral functions, complementary error functions
and exponential integrals, Heaviside and Dirac functions, the Riemann zeta
function and others.

%prep
%setup -q -n %{octpkg}
%patch0 -p0 -b .nostrip

%build
%octave_pkg_build

%install
rm -rf %{buildroot}
%octave_pkg_install

%post
%octave_cmd pkg rebuild

%preun
%octave_pkg_preun

%postun
%octave_cmd pkg rebuild

%files
%defattr(-,root,root,-)

%dir %{octpkgdir}
%doc %{octpkgdir}/doc-cache
%{octpkgdir}/*.m
%{octpkgdir}/packinfo
%doc %{octpkgdir}/packinfo/COPYING
%{octpkglibdir}

%changelog
* Mon Jan 16 2012 Thomas Sailer <t.sailer@alumni.ethz.ch> - 1.1.0-3
- rebuild for octave 3.6.0

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Dec 15 2011 Thomas Sailer <t.sailer@alumni.ethz.ch> - 1.1.0-1
- update to 1.1.0

* Tue Aug 16 2011 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.0.9-4
- Bump spec since buildroot override was not in place.

* Mon Aug 15 2011 Jussi Lehtola <jussilehtola@fedoraproject.org> - 1.0.9-3
- Comply to Octave Packaging Guidelines by requiring exact version of
  octave(api).

* Wed Jun 15 2011 Thomas Sailer <t.sailer@alumni.ethz.ch> - 1.0.9-2
- Review input

* Fri Jun 03 2011 Thomas Sailer <t.sailer@alumni.ethz.ch> - 1.0.9-1
- initial package for Fedora
